POST https://theapiengine.in/api/auth/token/refresh/

Generate a new access token using a valid refresh token.

Endpoint Details

Endpoint Name

Refresh JWT Access Token

Authentication Required

Yes

Minimum Plan

FREE onwards

HTTP Method

POST

Endpoint Path

https://theapiengine.in/api/auth/token/refresh/

Status

Active

Endpoint Description

This endpoint is used to obtain a new access token when the existing access token expires. It requires a valid refresh token issued during authentication. No username or password is required for this request. The old access token does not need to be provided.

Sample Payloads

Sample Request (JSON)

    {'refresh': 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...'}
            

Sample Response (JSON)

    {'access': 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...', 'refresh': 'eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...'}
            

Request ↔ Response Flow

Sample Request

Sample Request

Sample Response

Sample Response